package com.jasamedika.medifirst2000.vo;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

/**
 * class PosisiRahim
 * 
 * @author Generator
 */
public class AsesmenGiziAwalVO extends BaseTransactionVO {

	@Caption(value = "Risiko")
	private RisikoGiziVO risiko;

	private Integer risikoId;

	public RisikoGiziVO getRisiko() {
		return risiko;
	}

	public void setRisiko(RisikoGiziVO risiko) {
		this.risiko = risiko;
	}

	@NotNull(message = "No C M Harus Diisi")
	@Caption(value = "No C M")
	private AntrianPasienDiPeriksaVO pasienDaftar;

	@NotNull(message = "Tgl Pendaftaran tidak boleh kosong")
	@Caption(value = "Tanggal Registrasi")
	private Date tanggalPendaftaran;

	private Set<PreskripsiDietVO> preskripsiDiet = new HashSet<PreskripsiDietVO>();

	private Set<TindakLanjutGiziVO> tindakLanjutGizi = new HashSet<TindakLanjutGiziVO>();

	public AntrianPasienDiPeriksaVO getPasien() {
		return pasienDaftar;
	}

	public void setPasien(AntrianPasienDiPeriksaVO pasien) {
		this.pasienDaftar = pasien;
	}

	public Date getTanggalPendaftaran() {
		return tanggalPendaftaran;
	}

	public void setTanggalPendaftaran(Date tanggalPendaftaran) {
		this.tanggalPendaftaran = tanggalPendaftaran;
	}

	public Set<PreskripsiDietVO> getPreskripsiDiet() {
		return preskripsiDiet;
	}

	public void setPreskripsiDiet(Set<PreskripsiDietVO> preskripsiDiet) {
		this.preskripsiDiet = preskripsiDiet;
	}

	public Set<TindakLanjutGiziVO> getTindakLanjutGizi() {
		return tindakLanjutGizi;
	}

	public void setTindakLanjutGizi(Set<TindakLanjutGiziVO> tindakLanjutGizi) {
		this.tindakLanjutGizi = tindakLanjutGizi;
	}

}
